Unify the look of all icons containing 🚫 (no sign)
ClosedPublic

Authored by mthw on Feb 8 2020, 1:17 PM.

Details

Summary

The "no sign" was rotated by 90Β°, no other changes were made.

Before:


After:

Test Plan

All "no signs" should look like this: 🚫

Diff Detail

Repository
R266 Breeze Icons
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
mthw created this revision.Feb 8 2020, 1:17 PM
Restricted Application added a project: Frameworks. Β· View Herald TranscriptFeb 8 2020, 1:17 PM
Restricted Application added a subscriber: kde-frameworks-devel. Β· View Herald Transcript
mthw requested review of this revision.Feb 8 2020, 1:17 PM
mthw updated this revision to Diff 75251.Feb 8 2020, 1:18 PM

Also change Dark icons

mthw edited the summary of this revision. (Show Details)Feb 8 2020, 1:22 PM
mthw edited the test plan for this revision. (Show Details)
mthw added reviewers: VDG, Plasma.
mthw edited the summary of this revision. (Show Details)Feb 8 2020, 7:12 PM
mthw edited the test plan for this revision. (Show Details)
ngraham requested changes to this revision.Feb 8 2020, 9:59 PM
ngraham added a subscriber: ngraham.

Make sure to run the icons through an SVG optimizer, per https://community.kde.org/Guidelines_and_HOWTOs/Icon_Workflow_Tips#SVG_optimization

After that, you'll need to manually fix the stylesheet stuff by getting rid of color:#da4453 inside the path definitions. The easiest way to do this is to just open the svg files with a text editor and remove those bigs manually.

This revision now requires changes to proceed.Feb 8 2020, 9:59 PM
mthw updated this revision to Diff 75294.Feb 9 2020, 11:19 AM
mthw edited the summary of this revision. (Show Details)

Work in progress, making recomended changes

mthw updated this revision to Diff 75302.Feb 9 2020, 2:40 PM

color="" removed, also version removed as it wasn't there before. Anything else?

Actually audio-volume-muted also has the same issue. Let's also do that in the same patch. :)

mthw updated this revision to Diff 75334.Feb 10 2020, 9:10 AM

Also made changes to "audio-volume-muted"

mthw retitled this revision from Rotate the "no symbol" for "mic muted" so it looks the same as "speakers muted" to Unify the look of all icons containing 🚫 (no sign).Feb 10 2020, 9:15 AM
mthw edited the summary of this revision. (Show Details)
mthw edited the test plan for this revision. (Show Details)
mthw added a comment.Feb 10 2020, 3:36 PM

I also made adjustments to "font-disable" and "mail-mark-junk", do you want me to include them? After that all icons containing 🚫 will be the same.

sure, good idea!

mthw updated this revision to Diff 75389.Feb 10 2020, 5:00 PM

Changes to "font-disable" and "mail-mark-junk" are now included too.

Just found a 24px version of audio-volume-muted in the actions folder that either needs the same change, or needs to be deleted. Almost done!

ngraham accepted this revision.Feb 10 2020, 7:51 PM
ngraham added a subscriber: ndavis.

LGTM!

@ndavis does this look okay to you? And what do you think about that lonely 24px audio-volume-muted icon in the actions folder? Once this lands, should we move it to the 24px status icons folder so it can join its rightful brethren?

This revision is now accepted and ready to land.Feb 10 2020, 7:51 PM
ndavis accepted this revision.Feb 10 2020, 8:00 PM
mthw added a comment.Feb 11 2020, 7:36 AM

Since you accepted, can you also commit this, please?

ndavis added a comment.EditedFeb 11 2020, 7:47 AM

You need to set your full name as your git user name. Otherwise, the system won't let me land it.

remote: Audit failure - Commit bd1f1ed0341ede8ee4715842001920be0d2af749 - Non-full name: mthw0
mthw added a comment.Feb 11 2020, 7:56 AM

@ndavis I've set my name, do I need to "arc diff" again or something else?

mthw updated this revision to Diff 75434.Feb 11 2020, 8:15 AM

Changed git name, nothing else

meven added a subscriber: meven.Feb 11 2020, 8:27 AM
In D27247#609444, @mthw wrote:

Changed git name, nothing else

It seems it has not work, we still see "mthw0" as author of the commit.

You probably needs to git commit amend --no-edit (use git basically to do the dead), it should update the author of the commit (or remove the --no-edit and save as-is), and then arc diff again.

mthw updated this revision to Diff 75443.Feb 11 2020, 9:58 AM

Name should be correct now.

This revision was automatically updated to reflect the committed changes.